%define srcname spatialite
%define major 5
%define libnamedev %mklibname %{srcname} -d
%define libname %mklibname %{srcname} %{major}

Name:           libspatialite
Version:        4.0.0
Release:        %mkrel 2
Summary:        SQLite Spatial SQL extension
License:        GPLv2
Group:          System/Libraries
Url:            https://www.gaia-gis.it/fossil/libspatialite/index

Source0:        http://www.gaia-gis.it/gaia-sins/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  geos-devel
BuildRequires:  proj-devel

%description
SpatiaLite is an open source library intended to extend the SQLite core to
support fully fledged Spatial SQL capabilities.

%package -n %{libname}
Summary:        SQLite Spatial SQL extension
Group:          System/Libraries
%description -n %{libname}
SpatiaLite is an open source library intended to extend the SQLite core to
support fully fledged Spatial SQL capabilities.
SQLite is intrinsically simple and lightweight:
- a single lightweight library implementing the full SQL engine
- standard SQL implementation: almost complete SQL-92
- no complex client/server architecture
- a whole database simply corresponds to a single monolithic file (no size
  limits)
- any DB-file can be safely exchanged across different platforms, because the
  internal architecture is universally portable
- no installation, no configuration
SpatiaLite is smoothly integrated into SQLite to provide a complete and
powerful Spatial DBMS (mostly OGC-SFS compliant).
Using SQLite + SpatiaLite you can effectively deploy an alternative open
source Spatial DBMS roughly equivalent to PostgreSQL + PostGIS.

%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/Databases
Requires:       %{libname} = %{version}-%{release}
Provides:       %{srcname}-devel
%description -n %{libnamedev}
Development files needed to build software using %{name}

%prep
%setup -q

%build
%configure2_5x \
    --enable-freexl=no \
    --enable-static=no
%make

%install
%makeinstall_std
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libnamedev}
%{_includedir}/spatialite*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc



%changelog

* Fri Mar 22 2013 fwang <fwang> 4.0.0-2.mga3
+ Revision: 404446
- lock libmajor

* Thu Jan 17 2013 obgr_seneca <obgr_seneca> 4.0.0-1.mga3
+ Revision: 389214
- imported package libspatialite

